package com.hotent.base.enums;

import com.hotent.base.enums.core.EnumReturn;

/**
 * 公共字典枚举
 * @author liangjc
 * @company 广州宏天软件股份有限公司
 * @email liangjc@jee-soft.cn
 * @date 2022-05-25 09:17
 */
public class CommonEnum {

    /**
     * 是否
     */
    public enum YesOrNo implements EnumReturn<Integer> {
        /**是*/
        YES(1,"是"),
        /**否*/
        NO(0,"否");
        private  Integer value;
        private  String desc;

        YesOrNo(Integer value, String desc) {
            this.value = value;
            this.desc = desc;
        }

        @Override
        public Integer getValue() {
            return value;
        }

        @Override
        public String getDesc() {
            return desc;
        }
    }

}
